---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Initiate refund funds recovery [beta]

Initiate funds recovery refund stage, after the recipient PSPs have analyzed (`status` = `ANALYSED`) all the infraction notifications. This is the process' final step where funds are effectively returned to the victim's account.

Before requesting the refund, make sure that:

  * The recovery status = `ANALYSED`
  * You are the **creator** recovery participant
  * You are within the **72-hour** deadline after receiving the `FUNDS_RECOVERY_ANALYSED` event
  * There is at least one **accepted** infraction notification (status = `ACCEPTED`)

Thie endpoint generates a [Pix funds recovery status changed](https://developers.pismo.io/events/docs/pix-dict-funds-recoveries-status-change-1) event.

For more information refer to [Pix funds recovery](doc:pix-funds-recovery).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Funds recovery"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "FundsRecoveryIdPath2": {
        "name": "funds_recovery_id",
        "in": "path",
        "description": "Funds recovery identifier. \n\nReturned from the [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) endpoint.\n",
        "schema": {
          "type": "string"
        },
        "required": true,
        "example": "53D0F66A-BAB0-49D7-B7DC-807B82AABD8D"
      }
    },
    "schemas": {
      "AsyncResponse": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Response code",
            "example": "EPDA0000"
          },
          "message": {
            "type": "string",
            "description": "Descriptive message about the asynchronous operation",
            "example": "Operation will continue asynchronously. Monitor events for completion"
          }
        }
      },
      "FundsRecoveryId": {
        "type": "string",
        "description": "Funds recovery identifier. \n\nReturned from the [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) endpoint.\n",
        "example": "53D0F66A-BAB0-49D7-B7DC-807B82AABD8D"
      },
      "FundsRecoveryStatus": {
        "type": "string",
        "description": "Funds recovery status:\n* `CREATED` - Recovery created, awaiting next action.\n* `TRACKED` - The transaction tracking graph has been created.\n* `AWAITING_ANALYSIS` - Awaiting analysis from receiver PSPs (deadline: 7 calendar days).\n* `ANALYSED` - Analysis completed, ready for refund.\n* `REFUNDING` - Refund process in progress.\n* `COMPLETED` - Recovery successfully completed.\n* `CANCELLED` - Recovery cancelled.\n",
        "enum": [
          "CREATED",
          "AWAITING_ANALYSIS",
          "TRACKED",
          "ANALYSED",
          "REFUNDING",
          "COMPLETED",
          "CANCELLED"
        ],
        "example": "CREATED"
      },
      "InitiateFundsRecoveryResponse": {
        "type": "object",
        "description": "Initiate funds recovery response",
        "properties": {
          "funds_recovery_id": {
            "$ref": "#/components/schemas/FundsRecoveryId"
          },
          "status": {
            "$ref": "#/components/schemas/FundsRecoveryStatus"
          },
          "total_refunds_created": {
            "type": "integer",
            "description": "Total refunds created",
            "example": 4
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedDatetime"
          }
        }
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      },
      "UpdatedDatetime": {
        "type": "string",
        "description": "Updated datetime. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "format": "date-time",
        "example": "2020-08-13T13:49:03Z"
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v1/pix/funds-recoveries/{funds_recovery_id}/refund": {
      "post": {
        "summary": "Initiate refund funds recovery [beta]",
        "description": "Initiate funds recovery refund stage, after the recipient PSPs have analyzed (`status` = `ANALYSED`) all the infraction notifications. This is the process' final step where funds are effectively returned to the victim's account.\n\nBefore requesting the refund, make sure that:\n\n  * The recovery status = `ANALYSED`\n  * You are the **creator** recovery participant\n  * You are within the **72-hour** deadline after receiving the `FUNDS_RECOVERY_ANALYSED` event\n  * There is at least one **accepted** infraction notification (status = `ACCEPTED`)\n\nThie endpoint generates a [Pix funds recovery status changed](https://developers.pismo.io/events/docs/pix-dict-funds-recoveries-status-change-1) event.\n\nFor more information refer to [Pix funds recovery](https://developers.pismo.io/pismo-docs/docs/pix-funds-recovery).\n",
        "operationId": "post-refund-recovery",
        "tags": [
          "Funds recovery"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/FundsRecoveryIdPath2"
          }
        ],
        "responses": {
          "200": {
            "description": "OK - synchronous success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InitiateFundsRecoveryResponse"
                }
              }
            }
          },
          "202": {
            "description": "Ok - Asynchronous success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AsyncResponse"
                },
                "example": {
                  "Asynchrnous success": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Refund funds recovery flow will continue asynchronously"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Invalid status": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Refund deadline expired. Must initiate refund within 72 hours after ANALYSED status",
                      "details": {
                        "analyzed_at": "2025-10-13T10:00:00Z",
                        "deadline": "2025-10-16T10:00:00Z",
                        "current_time": "2025-10-17T12:00:00Z"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "No accepted infractions",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "No accepted infractions found": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "No accepted infractions found. Cannot initiate refund without accepted infractions"
                    }
                  },
                  "Recovery not found": {
                    "value": {
                      "code": "EPDA0000",
                      "message": "Funds recovery not found"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```